<?php

namespace App\Models;

use App\Entities\LojaCompraItem\LojaCompraItem;

// use const False\MyClass\true;
class LojaCompraItemModel extends ModelEntity {
	protected $table = 'loja_compra_item';
	protected $primaryKey = 'id';
	protected $returnType = 'array';
	protected $allowedFields = [
			'id_loja_compra',
			'id_loja_produto',
			'quantidade',
			'valor_unidade',
			'valor',			
			'id_usuario',
			'data_criacao',
			'hora_criacao'
			
	];
	protected $useSoftDeletes = false;
	protected $skipValidation = true;
	protected $useTimestamps = false;

	public function registerLojaProduto(LojaCompraItem $tipoExtorno): void {

		$id_new_tipo_extorno = $this->insert( $tipoExtorno->toArray( true ) );
		$tipoExtorno->setId( $id_new_tipo_extorno );

	}

	public function updateLojaByID(int $id_tipo_extorno, LojaCompraItem $tipo_extorno): bool {

		$data = $tipo_extorno->toArray( true );
		$binds = [ 
				'id_item' => $id_tipo_extorno
		];
		$sets = $this->generateUpdateSets( $data, $binds );
		$sql = "UPDATE loja_compra_item $sets WHERE loja_compra_item.id = :id_item:";
		$query = $this->db->query( $sql, $binds );
		return $query->connID->affected_rows === 1;

	}

}
